Bug 619763 - [abrt] crash in fedora-packager-0.4.2.3-1.fc13: subprocess.py:1126:_execute_child:OSError: [Errno 2] No such file or directory
Summary: [abrt] crash in fedora-packager-0.4.2.3-1.fc13: subprocess.py:1126:_execute_c...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b60b5002
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 13:20 UTC by Konstantin Ryabitsev
Modified: 2013-01-10 06:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 06:11:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.19 KB, text/plain)
2010-07-30 13:20 UTC, Konstantin Ryabitsev
no flags Details

Description Konstantin Ryabitsev 2010-07-30 13:20:24 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/fedpkg clone epylog
comment: First attempt to use fedpkg -- somewhat discouraging. :)
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.33.6-147.fc13.x86_64
package: fedora-packager-0.4.2.3-1.fc13
reason: subprocess.py:1126:_execute_child:OSError: [Errno 2] No such file or directory
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Trying to do "fedpkg clone epylog"
2.
3.

Comment 1 Konstantin Ryabitsev 2010-07-30 13:20:25 UTC
Created attachment 435550 [details]
File: backtrace

Comment 2 Dennis Gilmore 2010-07-30 14:48:08 UTC
Please update to 0.5.1.0-1.fc13

Comment 3 Konstantin Ryabitsev 2010-07-30 16:31:47 UTC
Hmm.. abrt is actually incorrect reporting the version.

$ rpm -qf /usr/bin/fedpkg
fedora-packager-0.5.1.0-1.fc13.noarch

$ fedpkg clone epylog
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 959, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 409, in clone
    pyfedpkg.clone(args.module[0], args.user, args.path, args.branch)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 302, in clone
    _run_command(cmd)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 115, in _run_command
    stderr=sys.stderr, shell=shell)
  File "/usr/lib64/python2.6/subprocess.py", line 483, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib64/python2.6/subprocess.py", line 470, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib64/python2.6/subprocess.py", line 621, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.6/subprocess.py", line 1126, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory

Comment 4 Dennis Gilmore 2010-07-30 16:44:31 UTC
[dennis@pegasus fedora]$ fedpkg clone epylog
Cloning into epylog...
remote: Counting objects: 153, done.
remote: Compressing objects: 100% (61/61), done.
remote: Total 153 (delta 82), reused 153 (delta 82)
Receiving objects: 100% (153/153), 19.46 KiB, done.
Resolving deltas: 100% (82/82), done.
[dennis@pegasus fedora]$ rpm -q fedora-packager
fedora-packager-0.5.0.1-3.fc13.noarch

Comment 5 Konstantin Ryabitsev 2010-07-30 17:28:01 UTC
That doesn't really help me.

Comment 6 Stijn Hoop 2010-07-30 17:42:45 UTC
Konstantin, may be a simple question, but do you have git installed?

Comment 7 Konstantin Ryabitsev 2010-07-30 17:51:41 UTC
Ding.

I guess someone forgot to add it as a dep to fedora-packager. :)

It works now (at least as far as "fedpkg co").

Comment 8 Jesse Keating 2010-07-30 18:17:33 UTC
I expected to get a git dep through our dep on GitPython, but that didn't seem to happen.  We should explicitly depend on git as well I suppose.

Comment 9 Charley Wang 2010-08-03 15:08:30 UTC
Package: fedora-packager-0.5.1.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Update fedora-packager to 0.5.1
2. fedkpg clone eclipse-mylyn
3. fedpkg clone -B eclipse-mylyn
(Both commands fail)


Comment
-----
Fedora-cvs presently works on this machine, I believe any required certificate files are all right.

Comment 10 Charley Wang 2010-08-03 15:13:40 UTC
Ah, it was indeed the lack of git on this machine that was causing the error.

Installing it makes the crashes go away.

Comment 11 Luya Tshimbalanga 2010-08-05 20:48:33 UTC
Package: fedora-packager-0.5.1.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Use the command: fedpkg clone <yourpackage>
2.
3.


Comment
-----
Crash happened when attempting to clone a package

Comment 12 Jesse Keating 2010-08-06 19:35:39 UTC
GitPython update will solve this.  https://admin.fedoraproject.org/updates/GitPython-0.2.0-0.3.beta1.fc13


Note You need to log in before you can comment on or make changes to this bug.